# `hash_prime_size_policy` Interface

A size policy whose sequence of sizes form a nearly-exponential sequence of primes.

Defined in: `hash_policy.hpp`

## Public Types and Constants

### General Definitions

Type | Definition | Description

    size_type

    size_t

Size type.

## Public Methods

### Constructors, Destructor, and Related

Method | Description

      hash_prime_size_policy
      (size_type start_size = 8)

Default constructor, or constructor taking a `start_size` The policy will use the sequence of sizes approximately `start_size`, `start_size` * 2, `start_size` * 2^2, ...

    inline void
      swap
      (hash_prime_size_policy &other)

Swaps content.

## Protected Methods

### Size methods

Method | Description

    size_type
      get_nearest_larger_size
      (size_type size) const

Given a size `size`, returns a size that is larger.

    size_type
      get_nearest_smaller_size
      (size_type size) const

Given a size `size`, returns a size that is smaller.